SystemOrganization addCategory: #Equipment_TIT!

Object subclass: #DigitalInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TIT'!

Object subclass: #RFGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TIT'!

TestCase subclass: #AnalogInput
	instanceVariableNames: 'pointsValue labels'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TIT'!

!AnalogInput class methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 14:44'!
assert: anUndefinedObject equals: aSmallInteger 
	self shouldBeImplemented.! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 15:28'!
initialize 
	pointsValue := 0! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 17:09'!
label
	^labels! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 16:22'!
label: aString
	labels := aString.! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 15:26'!
pointValue
	^pointsValue ! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 17:23'!
pointValue: aSmallInteger
	pointsValue := aSmallInteger.
	
	pointsValue := (0 max: pointsValue ).
	pointsValue := (32767  min: pointsValue ).
	
	pointsValue := (0 max: pointsValue).
	pointsValue := (32767 min: pointsValue).

	! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 15:20'!
testPointValueShouldReturn15000
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: power pointValue equals: 0.
	! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 15:22'!
testPointValueShouldReturn15000WhenGiven15000
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	power pointValue: 15000.
	self assert: power pointValue equals: 15000.
	! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 16:08'!
testPointValueShouldReturn32767WhenGiven40000
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	power pointValue: 40000.
	self assert: power pointValue equals: 32767.
	! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 16:19'!
testPointValueShouldReturnQPW
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: power label equals: 'QPW1'.
	
	! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 15:35'!
testPointValueShouldReturnZeroWhenGivenMoins1
	| power |
	power := AnalogInput new.
	power label: 'QPW1'.
	power pointValue: -1.
	self assert: power pointValue equals: 0.
	! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwrOn rfOn myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment_TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'HannequinBailly 4/27/2012 17:14'!
setUp

pwrOn := DigitalInput new.
pwrOn label: 'PWRON'.

rfOn := DigitalInput new.
rfOn label: 'RFON'.

myGenerator := RFGenerator new.
myGenerator
	inputPwrOn: pwrOn;
	inputRfOn: rfOn. ! !
